﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;
using System.Xml.Linq;
using PhoneBook.Classes;
using System.Diagnostics;
using System.Net.Mail;
using System.Net;

namespace PhoneBook
{
    public partial class NewUserForm : Form
    {
        bool NewUser = false;
        bool ChangeUser = false;
        bool ChangeInfo = false;

        public NewUserForm(bool newUser, bool changeUser, bool changeInfo)
        {
            InitializeComponent();

            this.NewUser = newUser;
            this.ChangeInfo = changeInfo;
            this.ChangeUser = changeUser;

            if (NewUser)
            {
                this.Text = "Add new User";
                labelPassword.Text = "Password :";
                labelNewPassword.Text = "Confirm Password :";
                checkBoxForgetPass.Enabled = false;
            }

            else if (ChangeUser)
            {
                this.Text = "Select User";
                labelPassword.Text = "Password :";
                labelNewPassword.Text = "New Password";
                labelNewPassword.Enabled = textBoxNewPassword.Enabled = false;
                labelEmail.Enabled = textBoxEmail.Enabled = false;
            }

            else if (ChangeInfo)
            {
                this.Text = "Change User Information";
                this.textBoxPassword.Text = "Old Password :";
                this.textBoxNewPassword.Text = "New Password";
            }
        }

        private void buttonSubmit_Click(object sender, EventArgs e)
        {
            try
            {
                errorProvider1.Clear();

                #region Forgets the password

                if (checkBoxForgetPass.Enabled && checkBoxForgetPass.Checked)
                {
                    if (textBoxUserName.Text.Trim() == string.Empty)
                    {
                        errorProvider1.SetError(this.textBoxUserName, "Please enter your username");
                        textBoxUserName.Focus();
                        return;
                    }
                    errorProvider1.Clear();
                }
            }
            catch (Exception ex)
            {

            }
        }
    }
}
                # endregion